# nng_aio_get_msg(3) Manual Page

## NAME

nng_aio_get_msg - get message from asynchronous receive

## SYNOPSIS

    #include <nng/nng.h>

    nng_msg *nng_aio_get_msg(nng_aio *aio);

## DESCRIPTION

The `nng_aio_get_msg()` function gets any message stored in aio as either a result of a successful receive (see `nng_recv_aio()`) or that was previously stored with `nng_aio_set_msg()`.

| The `nng_aio` must not have an operation in progress.

## RETURN VALUES

None.

## ERRORS

None.

## SEE ALSO

nng_aio_set_msg(3), nng_recv_aio(3), nng_aio(5), nng_msg(5), nng(7)